define("format_topcoll/local/content",["exports","core_courseformat/local/content","core/config","core/fragment","core_courseformat/courseeditor","core/inplace_editable","core/log","core/pending","core/templates","format_topcoll/local/content/actions","format_topcoll/util","core_course/events"],(function(_exports,_content,_config,_fragment,_courseeditor,_inplace_editable,_log,_pending,_templates,_actions,_util,CourseEvents){function _getRequireWildcardCache(e){if("function"!=typeof WeakMap)return null;var r=new WeakMap,t=new WeakMap;return(_getRequireWildcardCache=function(e){return e?t:r})(e)}function _interopRequireDefault(e){return e&&e.__esModule?e:{default:e}}
/**
   * Collapsed Topics Course index main component.
   *
   * @module     format_topcoll/local/content
   * @class      format_topcoll/local/content
   * @copyright  2022 G J Barnard based upon work done by:
   * @copyright  2020 Ferran Recio <ferran@moodle.com>
   * @license    http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
   */Object.defineProperty(_exports,"__esModule",{value:!0}),_exports.default=void 0,_content=_interopRequireDefault(_content),_config=_interopRequireDefault(_config),_fragment=_interopRequireDefault(_fragment),_inplace_editable=_interopRequireDefault(_inplace_editable),_log=_interopRequireDefault(_log),_pending=_interopRequireDefault(_pending),_templates=_interopRequireDefault(_templates),_actions=_interopRequireDefault(_actions),CourseEvents=function(e,r){if(!r&&e&&e.__esModule)return e;if(null===e||"object"!=typeof e&&"function"!=typeof e)return{default:e};var t=_getRequireWildcardCache(r);if(t&&t.has(e))return t.get(e);var n={__proto__:null},a=Object.defineProperty&&Object.getOwnPropertyDescriptor;for(var u in e)if("default"!==u&&{}.hasOwnProperty.call(e,u)){var i=a?Object.getOwnPropertyDescriptor(e,u):null;i&&(i.get||i.set)?Object.defineProperty(n,u,i):n[u]=e[u]}return n.default=e,t&&t.set(e,n),n}(CourseEvents);class TopcollComponent extends _content.default{constructor(descriptor){super(descriptor);const tcdata=this.getElement(this.selectors.TC_DATA);tcdata&&(this.oneTopic="true"===tcdata.dataset.onetopic,"false"===tcdata.dataset.onetopictoggle?this.currentTopicNum=!1:this.currentTopicNum=tcdata.dataset.onetopictoggle,this.defaulttogglepersistence="true"===tcdata.dataset.defaulttogglepersistence)}static init(target,selectors,sectionReturn){return new TopcollComponent({element:document.getElementById(target),reactive:(0,_courseeditor.getCurrentCourseEditor)(),selectors:selectors,sectionReturn:sectionReturn})}stateReady(){this._indexContents();const toogleAllClosed=this.getElement(this.selectors.TOGGLE_ALL_ClOSED);toogleAllClosed&&(this.addEventListener(toogleAllClosed,"click",this._toogleAllClosedToggler),this.addEventListener(toogleAllClosed,"keydown",(e=>{" "===e.key&&this._toogleAllClosedToggler(e)})));const toogleAllOpen=this.getElement(this.selectors.TOGGLE_ALL_OPEN);toogleAllOpen&&(this.addEventListener(toogleAllOpen,"click",this._toogleAllOpenToggler),this.addEventListener(toogleAllOpen,"keydown",(e=>{" "===e.key&&this._toogleAllOpenToggler(e)})));const toggles=this.getElements(this.selectors.TOGGLE);for(const toggle of toggles)this.addEventListener(toggle,"click",this._toogleToggler),this.addEventListener(toggle,"keydown",(e=>{" "===e.key&&this._toogleToggler(e)}));this.reactive.supportComponents&&(this.reactive.isEditing&&new _actions.default(this),this.element.classList.add(this.classes.STATEDREADY)),this.addEventListener(this.element,CourseEvents.manualCompletionToggled,this._completionHandler),this.addEventListener(document,"scroll",this._scrollHandler)}getWatchers(){return this.reactive.sectionReturn=this.sectionReturn,this.reactive.supportComponents?[{watch:"cm.visible:updated",handler:this._reloadCm},{watch:"cm.stealth:updated",handler:this._reloadCm},{watch:"cm.sectionid:updated",handler:this._reloadCm},{watch:"cm.indent:updated",handler:this._reloadCm},{watch:"cm.groupmode:updated",handler:this._reloadCm},{watch:"cm.name:updated",handler:this._refreshCmName},{watch:"section.number:updated",handler:this._refreshSectionNumber},{watch:"section.title:updated",handler:this._refreshSectionTitle},{watch:"transaction:start",handler:this._startProcessing},{watch:"course.sectionlist:updated",handler:this._refreshCourseSectionlist},{watch:"section.cmlist:updated",handler:this._refreshSectionCmlist},{watch:"section.visible:updated",handler:this._reloadSection},{watch:"state:updated",handler:this._indexContents}]:[]}_refreshTCSection(_ref){let{element:element}=_ref;_log.default.debug(element.id)}_refreshSectionNumber(_ref2){let{element:element}=_ref2;_log.default.debug("_refreshSectionNumber "+element.id);const target=this.getElement(this.selectors.SECTION,element.id);if(target)if(target.classList.contains("delegated-section")){target.id=`section-${element.number}`,target.dataset.sectionid=element.number,target.dataset.number=element.number;const inplace=_inplace_editable.default.getInplaceEditable(target.querySelector(this.selectors.SECTION_ITEM));if(inplace){const currentvalue=inplace.getValue(),currentitemid=inplace.getItemId();""===inplace.getValue()&&(currentitemid!=element.id||currentvalue==element.rawtitle&&""!=element.rawtitle||inplace.setValue(element.rawtitle))}}else this._reloadSection({element:element})}_reloadSection(_ref3){let{element:element}=_ref3;_log.default.debug("_reloadSection "+element.id);const pendingReload=new _pending.default(`courseformat/content:reloadSection_${element.id}`),sectionitem=this.getElement(this.selectors.SECTION,element.id);if(sectionitem){for(const cmId of element.cmlist)this._cancelDebouncedReloadCm(cmId);_fragment.default.loadFragment("core_courseformat","section",_config.default.courseContextId,{id:element.id,courseid:_config.default.courseId,sr:this.reactive.sectionReturn??null}).then(((html,js)=>{_log.default.debug("_reloadSection promise reply eid: "+element.id),_templates.default.replaceNode(sectionitem,html,js),this._indexContents();const toggle=this.getElement(this.selectors.COURSE_SECTIONLIST).querySelector('[data-id="'+element.id+'"] '+this.selectors.TOGGLE);_log.default.debug("toggle id "+toggle.id+" parent li "+toggle.parentElement.parentElement.id+" "+toggle.parentElement.parentElement.dataset.id),null!==toggle&&(_log.default.debug("toggle exists "+toggle.id),this.addEventListener(toggle,"click",this._toogleToggler),this.addEventListener(toggle,"keydown",(e=>{" "===e.key&&this._toogleToggler(e)}))),pendingReload.resolve()})).catch((()=>{_log.default.debug("_reloadSection promise fail "+element.id),pendingReload.resolve()}))}else _log.default.debug("_reloadSection no section item "+element.id)}_toogleAllClosedToggler(event){event.preventDefault();const toggles=this.getElements(this.selectors.TOGGLE+" .the_toggle");for(const toggle of toggles)toggle.classList.add("toggle_closed"),toggle.classList.remove("toggle_open");const toggledsections=this.getElements(this.selectors.TOGGLED_SECTION);for(const toggledsection of toggledsections)toggledsection.classList.remove("sectionopen");!0===this.defaulttogglepersistence&&(0,_util.userSetUserToggleAll)(_config.default.courseId,!1)}_toogleAllOpenToggler(event){event.preventDefault();const toggles=this.getElements(this.selectors.TOGGLE+" .the_toggle");for(const toggle of toggles)toggle.classList.add("toggle_open"),toggle.classList.remove("toggle_closed");const toggledsections=this.getElements(this.selectors.TOGGLED_SECTION);for(const toggledsection of toggledsections)toggledsection.classList.add("sectionopen");!0===this.defaulttogglepersistence&&(0,_util.userSetUserToggleAll)(_config.default.courseId,!0)}_toogleToggler(event){if(_log.default.debug("_toogleToggler"),this.reactive.isEditing){const parentClasses=event.target.parentElement.classList;if(parentClasses.contains("quickediticon")||parentClasses.contains("inplaceeditable"))return}event.preventDefault();const toggle=event.target.closest(this.selectors.TOGGLE),toggleNum=parseInt(toggle.getAttribute("id").replace("toggle-",""));if(_log.default.debug("_toogleToggler: "+toggleNum),!0===this.oneTopic&&!1!==this.currentTopicNum&&this.currentTopicNum!=toggleNum){const currentTargetParent=this.getElement("#toggle-"+this.currentTopicNum).parentElement,currentToggle=currentTargetParent.querySelector(".the_toggle");currentToggle.classList.add("toggle_closed"),currentToggle.classList.remove("toggle_open"),currentToggle.setAttribute("aria-expanded","false");currentTargetParent.querySelector(this.selectors.TOGGLED_SECTION).classList.remove("sectionopen"),!0===this.defaulttogglepersistence&&(0,_util.setUserTopcollToggle)(_config.default.courseId,this.currentTopicNum,!1),this.currentTopicNum=!1}const target=toggle.querySelector(".the_toggle"),targetSection=toggle.parentElement.querySelector(this.selectors.TOGGLED_SECTION);var state;target.classList.contains("toggle_closed")?(target.classList.add("toggle_open"),target.classList.remove("toggle_closed"),target.setAttribute("aria-expanded","true"),targetSection.classList.add("sectionopen"),!0===this.oneTopic&&(this.currentTopicNum=toggleNum),state=!0):(target.classList.add("toggle_closed"),target.classList.remove("toggle_open"),target.setAttribute("aria-expanded","false"),targetSection.classList.remove("sectionopen"),!0===this.oneTopic&&(this.currentTopicNum=!1),state=!1),!0===this.defaulttogglepersistence&&(0,_util.setUserTopcollToggle)(_config.default.courseId,toggleNum,state)}_refreshCourseSectionlist(_ref4){let{state:state}=_ref4;if(null!==this.reactive.sectionReturn)return;const sectionlist=this.reactive.getExporter().listedSectionIds(state),listparent=this.getElement(this.selectors.COURSE_SECTIONLIST),createSection=this._createSectionItem.bind(this);listparent&&this._fixTopcollSectionOrder(listparent,sectionlist,this.selectors.SECTION,this.dettachedSections,createSection)}async _fixTopcollSectionOrder(container,neworder,selector,dettachedelements,createMethod){if(void 0===container)return;if(!neworder.length)return container.classList.add("hidden"),void(container.innerHTML="");let dndFakeActivity;for(container.classList.remove("hidden"),neworder.forEach(((itemid,index)=>{let item=this.getElement(selector,itemid)??dettachedelements[itemid]??createMethod(container,itemid);if(!item)return;let itemno=this.getElement("#tcnoid-"+itemid);itemno&&(itemno.textContent=index+1);const currentitem=container.children[index];currentitem?currentitem!==item&&container.insertBefore(item,currentitem):container.append(item)}));container.children.length>neworder.length;){var _lastchild$classList;const lastchild=container.lastChild;var _lastchild$dataset;if(null!=lastchild&&null!==(_lastchild$classList=lastchild.classList)&&void 0!==_lastchild$classList&&_lastchild$classList.contains("dndupload-preview"))dndFakeActivity=lastchild;else dettachedelements[(null==lastchild||null===(_lastchild$dataset=lastchild.dataset)||void 0===_lastchild$dataset?void 0:_lastchild$dataset.id)??0]=lastchild;container.removeChild(lastchild)}dndFakeActivity&&container.append(dndFakeActivity)}}return _exports.default=TopcollComponent,_exports.default}));

//# sourceMappingURL=content.min.js.map